Packagekit

Le
BERTRAND Joël
Bonjour à tous,

Depuis quelque temps, j'ai des machines qui n'ont pas beaucoup de
mémoire (2 et 4 Go) qui se mettent à swapper comme des folles. Le
processus responsable est un certain packagekit qui arrive à consommer
12 Go de mémoire (!).

Comment virer ce sale truc (et surtout, à quoi ça sert, je ne vois pas
trop ce que ça apporte au système) ? Est-ce qu'un apt-get remove
packagekit suffit sans qu'il y ait des effets de bord puisque je n'ai
jamais installé cette saleté ? J'ai regardé dans sa doc, je n'ai rien
trouvé de probant.

Merci de vos lumières,

JKB
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Eric Degenetais
Le #26381632
--001a114b14de2f298e052728da35
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

bonjour,
à priori (après un parcours rapide de la documentation) c'est une interface
utilisateur pour le système de gestion de package, qui est censé fournir
des fonctionnalités plus "user friendly", normalisée (ne dép endant pas de
la distribution) avec une gestion de droits par utilisateurs intégrà ©e à
celle de l'environnement de bureau pour voir les modifications à propo ser
et permettre (à certains) de les déclencher.

- En principe, pas de raison de ne pas pouvoir retirer ce triste sire,
et utiliser tout simplement apt-get & co, puisque la documentation nous dit
que packagekit utilise (donc ne remplace pas) le gestionnaire de paquet
normal de la distro.
- En pratique, ça a dû s'installer avec ton méta-package d'environnement
graphique, donc il vaut mieux (comme d'hab) vérifier ce qu'il propo se de
retirer avant d'envoyer la désinstallation.

bonne journée
______________
Éric Dégenètais
Henix



http://www.henix.com
http://www.squashtest.org



Le 18 décembre 2015 à 08:43, BERTRAND Joël écrit :
Bonjour à tous,

Depuis quelque temps, j'ai des machines qui n'ont pas beaucoup de
mémoire (2 et 4 Go) qui se mettent à swapper comme des folles. Le


processus
responsable est un certain packagekit qui arrive à consommer 12 Go d e
mémoire (!).

Comment virer ce sale truc (et surtout, à quoi ça sert, je ne vois
pas trop ce que ça apporte au système) ? Est-ce qu'un apt-get r emove
packagekit suffit sans qu'il y ait des effets de bord puisque je n'ai


jamais
installé cette saleté ? J'ai regardé dans sa doc, je n'ai rien trouvé de
probant.

Merci de vos lumières,

JKB




--001a114b14de2f298e052728da35
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable


--001a114b14de2f298e052728da35--
BERTRAND Joël
Le #26381635
Eric Degenetais a écrit :
bonjour,
à priori (après un parcours rapide de la documentation) c'est une
interface utilisateur pour le système de gestion de package, qui est
censé fournir des fonctionnalités plus "user friendly", normalisée (ne
dépendant pas de la distribution) avec une gestion de droits par
utilisateurs intégrée à celle de l'environnement de bureau pour voir les
modifications à proposer et permettre (à certains) de les déclencher.

* En principe, pas de raison de ne pas pouvoir retirer ce triste sire,
et utiliser tout simplement apt-get & co, puisque la documentation
nous dit que packagekit utilise (donc ne remplace pas) le
gestionnaire de paquet normal de la distro.
* En pratique, ça a dû s'installer avec ton méta-package
d'environnement graphique, donc il vaut mieux (comme d'hab) vérifier
ce qu'il propose de retirer avant d'envoyer la désinstallation.



Merci pour la réponse. Un apt-get remove semble ne retirer que
packagekit, mais comme je ne l'ai jamais installé volontairement, je me
demandais s'il n'y avait pas quelques effets de bord au passage...
Sinon, je n'ai pas d'environnement de bureau à proprement parler,
j'utiliser Windowmaker exclusivement.

Cordialement,

JKB
Eric Degenetais
Le #26381640
Sinon, je n'ai pas d'environnement de bureau à proprement parler, j' utiliser Windowmaker exclusivement.


Marrant...il doit y avoir méta-package sous roche, mais ça ne sem ble
pas provenir de wmaker directement...

______________
Éric Dégenètais
Henix



http://www.henix.com
http://www.squashtest.org
Jean-Jacques Doti
Le #26381648
Le 18/12/2015 11:27, Eric Degenetais a écrit :
Sinon, je n'ai pas d'environnement de bureau à proprement parler, j'utiliser Windowmaker exclusivement.


Marrant...il doit y avoir méta-package sous roche, mais ça ne semble
pas provenir de wmaker directement...


Il suffit de demander.
Sur une de mes machines (sid), j'ai ça :

$ aptitude why packagekit
i gnome-packagekit Dépend libpackagekit-glib2-18 (>= 0.9.4)
i A libpackagekit-glib2-18 Recommande packagekit (= 1.0.11-1)

$ aptitude why gnome-packagekit
i gnome-core Dépend gnome-packagekit (>= 3.14)

Dans une configuration standard (installation des paquets recommandés),
l'installation de gnome-core entraîne celle de gnome-packagekit et de
libpackagekit-glib2-18 (dépendance) ainsi que celle de packagekit
(recommandation). En revanche, la désinstallation de packagekit ne casse
rien car il n'y a qu'une "dépendance faible".

--
À+
Jean-Jacques
Eric Degenetais
Le #26381649
Je n'avais pas vérifié du côté de gnome puisque Joà «l avait parlé de
Windowmaker...ce serait intéressant de savoir comment ça a dà ©barqué
là...
Peut-être une application graphique qui a tiré une dépendanc e
gnome/kde, par exemple?

bref, de toutes façons ce n'était pas la question initiale.

______________
Éric Dégenètais
Henix



http://www.henix.com
http://www.squashtest.org



Le 18 décembre 2015 à 14:26, Jean-Jacques Doti
Le 18/12/2015 11:27, Eric Degenetais a écrit :

Sinon, je n'ai pas d'environnement de bureau à proprement parler,
j'utiliser Windowmaker exclusivement.



Marrant...il doit y avoir méta-package sous roche, mais ça ne semble
pas provenir de wmaker directement...



Il suffit de demander.
Sur une de mes machines (sid), j'ai ça :

$ aptitude why packagekit
i gnome-packagekit Dépend libpackagekit-glib2-18 (>= 0 .9.4)
i A libpackagekit-glib2-18 Recommande packagekit (= 1.0.11-1)

$ aptitude why gnome-packagekit
i gnome-core Dépend gnome-packagekit (>= 3.14)

Dans une configuration standard (installation des paquets recommandé s),
l'installation de gnome-core entraîne celle de gnome-packagekit et d e
libpackagekit-glib2-18 (dépendance) ainsi que celle de packagekit
(recommandation). En revanche, la désinstallation de packagekit ne c asse
rien car il n'y a qu'une "dépendance faible".

--
À+
Jean-Jacques

BERTRAND Joël
Le #26381656
Eric Degenetais a écrit :
Je n'avais pas vérifié du côté de gnome puisque Joël avait parlé de
Windowmaker...ce serait intéressant de savoir comment ça a débarqué
là...
Peut-être une application graphique qui a tiré une dépendance
gnome/kde, par exemple?



J'avoue que je ne sais pas avec quoi ce truc a pu venir. Mon
installation actuelle remonte au moins à etch si pas à lenny...
L'essentiel est de savoir qu'en retirant la chose, rien ne sera cassé
par ailleurs.

Cordialement,

JKB
Bernard Schoenacker
Le #26381657
Le Fri, 18 Dec 2015 15:24:47 +0100,
BERTRAND Joël
Eric Degenetais a écrit :
> Je n'avais pas vérifié du côté de gnome puisque Joël avait parlé de
> Windowmaker...ce serait intéressant de savoir comment ça a débarqué
> là...
> Peut-être une application graphique qui a tiré une dépendance
> gnome/kde, par exemple?

J'avoue que je ne sais pas avec quoi ce truc a pu venir. Mon
installation actuelle remonte au moins à etch si pas à lenny...
L'essentiel est de savoir qu'en retirant la chose, rien ne sera cassé
par ailleurs.

Cordialement,

JKB




bonjour,

serait il possible de regarder du côté de update-notiifer qui engendre
packagekit ...

slt
bernard
Publicité
Poster une réponse
Anonyme